options.h File Reference
`#include "cvc4_public.h"`
`#include "options/options.h"`
`#include <vector>`
`#include <string>`
Include dependency graph for options.h:

Go to the source code of this file.

## Data Structures

struct | CVC4::options::version__option_t
struct | CVC4::options::help__option_t
struct | CVC4::options::earlyExit__option_t
struct | CVC4::options::threads__option_t
struct | CVC4::options::threadStackSize__option_t
struct | CVC4::options::threadArgv__option_t
struct | CVC4::options::thread_id__option_t
struct | CVC4::options::sharingFilterByLength__option_t
struct | CVC4::options::fallbackSequential__option_t
struct | CVC4::options::incrementalParallel__option_t
struct | CVC4::options::interactivePrompt__option_t
struct | CVC4::options::continuedExecution__option_t
struct | CVC4::options::segvSpin__option_t
struct | CVC4::options::tearDownIncremental__option_t
struct | CVC4::options::waitToJoin__option_t

## Namespaces

namespace | CVC4
namespace | CVC4::options

## Macros

#define | CVC4_OPTIONS__DRIVER__FOR_OPTION_HOLDER

## Variables

struct CVC4::options::version__option_t | CVC4::options::version
struct CVC4::options::help__option_t | CVC4::options::help
struct CVC4::options::earlyExit__option_t | CVC4::options::earlyExit
struct CVC4::options::threads__option_t | CVC4::options::threads
struct CVC4::options::threadStackSize__option_t | CVC4::options::threadStackSize
struct CVC4::options::threadArgv__option_t | CVC4::options::threadArgv
struct CVC4::options::thread_id__option_t | CVC4::options::thread_id
struct CVC4::options::sharingFilterByLength__option_t | CVC4::options::sharingFilterByLength
struct CVC4::options::fallbackSequential__option_t | CVC4::options::fallbackSequential
struct CVC4::options::incrementalParallel__option_t | CVC4::options::incrementalParallel
struct CVC4::options::interactivePrompt__option_t | CVC4::options::interactivePrompt
struct CVC4::options::continuedExecution__option_t | CVC4::options::continuedExecution
struct CVC4::options::segvSpin__option_t | CVC4::options::segvSpin
struct CVC4::options::tearDownIncremental__option_t | CVC4::options::tearDownIncremental
struct CVC4::options::waitToJoin__option_t | CVC4::options::waitToJoin

## Macro Definition Documentation

## CVC4_OPTIONS__DRIVER__FOR_OPTION_HOLDER

#define CVC4_OPTIONS__DRIVER__FOR_OPTION_HOLDER

Definition at line 60 of file options.h.